import { EventEmitter } from "../../../stencil-public-runtime";
import * as langly from "langly";
import { Notice } from "smoothly";
import { Customer, Order } from "@payfunc/model";
export declare class CustomerBalance {
  customer: Customer;
  orders?: Order[];
  component?: "app" | "balance";
  element: HTMLElement;
  t: langly.Translate;
  notice: EventEmitter<Notice>;
  componentWillLoad(): void;
  equalize(): void;
  onAddFunds(event: CustomEvent): void;
  private getCustomer;
  render(): any[];
}
